Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023174
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2013-02-26 22:232013-04-03 12:55
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP21
StatusclosedFix in branchFixed in SCM revisionddc6336741dc
ProjectionnoneETAnoneTarget VersionRMP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP19.2SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023174: Not possible to create 0 % discount in "discount ticket" function in POS

DescriptionNot possible to create 0 % discount in "discount ticket" function in POS
Steps To Reproduce-Login in the ERP and go to window "Discounts and Promotions"

-create 2 discount:
+Fixed Percentage Discount : 25% of discount
+Discretionary Fixed Percentage: 0% of discount

Login in Web Pos and verify that 25% of discount is applied.
after that go to "Receipt discounts" and try to overwrite the 25% of discounts by 0%.
You will get the image error.
TagsNo tags attached.
Attached Filespng file icon error.png [^] (71,358 bytes) 2013-02-26 22:23

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0057163)
hgbot (developer)
2013-03-08 17:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ddc6336741dcd5c7f127cd697ba695de104f6d6d
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 08 17:23:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ddc6336741dcd5c7f127cd697ba695de104f6d6d [^]

Fixed issue 23174: Discounts od 0 are well processed now

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0057166)
guilleaer (developer)
2013-03-08 20:33

verified
(0057675)
hgbot (developer)
2013-04-02 20:11

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: ddc6336741dcd5c7f127cd697ba695de104f6d6d
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 08 17:23:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ddc6336741dcd5c7f127cd697ba695de104f6d6d [^]

Fixed issue 23174: Discounts od 0 are well processed now

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---

- Issue History
Date Modified Username Field Change
2013-02-26 22:23 jecharri New Issue
2013-02-26 22:23 jecharri Assigned To => guilleaer
2013-02-26 22:23 jecharri File Added: error.png
2013-03-08 17:23 hgbot Checkin
2013-03-08 17:23 hgbot Note Added: 0057163
2013-03-08 17:23 hgbot Status new => resolved
2013-03-08 17:23 hgbot Resolution open => fixed
2013-03-08 17:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ddc6336741dcd5c7f127cd697ba695de104f6d6d [^]
2013-03-08 20:33 guilleaer Review Assigned To => guilleaer
2013-03-08 20:33 guilleaer Note Added: 0057166
2013-03-08 20:33 guilleaer Status resolved => closed
2013-03-08 20:33 guilleaer Fixed in Version => RMP21
2013-04-02 20:11 hgbot Checkin
2013-04-02 20:11 hgbot Note Added: 0057675
2013-04-02 20:11 hgbot Status closed => resolved
2013-04-02 20:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ddc6336741dcd5c7f127cd697ba695de104f6d6d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ddc6336741dcd5c7f127cd697ba695de104f6d6d [^]
2013-04-03 12:55 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker